#pragma GCC diagnostic ignored "-Wwrite-strings"

#include "GlobalDataStruct.h"
#include "level1.h"

LevelDataStruct Data_Level01 = {
    {"a", "ad", "ads", "as", "fa", "fad", "fad", "gad", "gas", "sad", "sag", "sass", "add"},
    13,
    "Lesson 1: Home Row Left",
    {
		//  the line ends here ----------------->|
		"t0216This first lesson will teach you",
		"t0217where to place your left hand.",
		"w",
		"c021640",
		"c021740",
		"hf1",
		"t0216First, place your left index finger",
		"t0217on the letter \"f.\"",
		"w",
		"hd1",
		"t0218Next, place your middle finger on",
		"t0219the letter \"d.\"",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"hs1",
		"ha1",
		"t0216Let your ring and pinky fingers",
		"t0217fall naturally on the letters \"s\"",
		"t0218and \"a.\"",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"hg1",
		"t0216You should also be able to reach the",
		"t0217letter \"g\" without moving your hand.",
		"w",
		"ha0",
		"hs0",
		"hd0",
		"hf0",
		"hg0",
		"c021640",
		"c021740",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level02 = {
	{"feat", "reefs", "sweet", "wet", "treat", 
		"eat", "swear", "wear", "data", "dates", 
		"wag", "feed", "tag", "tease", "read", 
		"draw", "q", "west", "raw", "far",
		"dear", "wagged", "drag", "dragged", "rag",
		"ragged", "rear", "rearward", "reward", "referred"},
	30,
	"Lesson 2: Upper Row Left",
	    {
		//  the line ends here ----------------->|
		"t0216Now let's move on to the left",
		"t0217hand upper row.",
		"w",
		"c021640",
		"c021740",
		"hq1",
		"t0216This first row on the keyboard",
		"t0217starts with the letter \"q\".",
		"t0218We won't use \"q\" much now, but",
		"t0219remember where it is.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"hw1",
		"he1",
		"hr1",
		"ht1",
		"t0216You'll be able to reach all these",
		"t0217letters without moving your hand.",
		"w",
		"c021640",
		"c021740",
		"hq0",
		"hw0",
		"hr0",
		"ht0",
		"t0216Pay special attention to the letter",
		"t0217\"e\". It's the most common letter",
		"t0218in the English language and you'll",
		"t0219be using it a lot.",
		"w",
		"he0",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level03 = {
	{"jest", "jester", "jerk", "kale", "elk",
		"rake", "hare", "laker", "hear", "flaw", 
		"flak", "reeled", "feel", "leaf", "leak", 
		"led", "flake", "fleek", "flare", "wall",
		"well", "wailed", "slag", "glass", "glare",
		"aghast", "haggle", "heart", "hale", "haggard"},
	30,
	"Lesson 3: Home Row Right",
	{
		//  the line ends here ----------------->|
		"t0216Your left hand is getting quite",
		"t0217the workout, isn't it?",
		"w",
		"c021640",
		"c021740",
		"hj1",
		"t0216Let's get your right hand involved",
		"t0217in the action. Place your right",
		"t0218index finger on the letter \"j\".",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"hk1",
		"hl1",
		"h;1",
		"t0216Your other fingers will fall on",
		"t0217the letters \"k\", \"l\" and \";\".",
		"w",
		"h;0",
		"t0218We'll ignore \";\" for now.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"hh1",
		"t0216You should also be able to reach",
		"t0217\"h\" with your index finger.",
		"w",
		"c021640",
		"c021740",
		"he1",
		"ha1",
		"t0216You'll still need your left hand to",
		"t0217reach for those vowels, though.",
		"w"
		"c021640",
		"c021740",
		"ha0",
		"he0",
		"hh0",
		"hj0",
		"hk0",
		"hl0",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level04 = {
	{"jalopy", "you", "pale", "lop", "rope", 
		"sure", "ruse", "rusty", "yore", "pole", 
		"play", "yappy", "happy", "raphael", "leopard", 
		"spool", "rappel", "quip", "pique", "pig",
		"pealed", "palpate", "dilapidated", "plate", "pepper",
		"preppy", "prepare", "fly", "quill", "query",
		"quest", "request", "sequel", "queue", "apply"},
	35,
	"Lesson 4: Upper Row Right",
	{
		//  the line ends here ----------------->|
		"t0216Now it's time to move on to the",
		"t0217upper row for your right hand.",
		"w",
		"hy1",
		"hu1",
		"hi1",
		"ho1",
		"hp1",
		"t0218You can reach all these letters",
		"t0219without moving your right hand.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"t0216This is a tricky row, and you may",
		"t0217need to practice it a lot.",
		"t0218Don't worry, you'll get there!",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"hp0",
		"ha1",
		"he1",
		"t0216With the addition of this row,",
		"t0217you can reach every vowel. This",
		"t0218is a big step toward typing every",
		"t0219word.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"ha0",
		"he0",
		"hi0",
		"ho0",
		"hu0",
		"hy0",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level05 = {
	{"zap", "puzzle", "gazelle", "excite", "affix",
		"lax", "axe", "ox", "cat", "copy",
		"locate", "coat", "capital", "jackal", "vote",
		"level", "reveal", "rave", "bobcat", "baby",
		"lobby", "bake", "back", "bicycle", "cyber",
		"blotter", "blob", "blacker", "rebuked", "buck",
		"laboratory", "texture", "luxury", "cleave", "velour",
		"violet", "vivid", "alive", "advice", "revolve"},
	40,
	"Lesson 5: Bottom Row Left",
	{
		//  the line ends here ----------------->|
		"t0216You're almost there! Now let's do",
		"t0217the rest of the letters you can",
		"t0218reach with your left hand.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"hz1",
		"hx1",
		"hc1",
		"hv1",
		"hb1",
		"t0216With your left hand on home row",
		"t0217you should be able to reach these",
		"t0218letters without moving.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"t0216Letters \"z\" and \"x\" are rarely",
		"t0217used, so get ready for some",
		"t0218unusual words ...",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"hz0",
		"hx0",
		"hc0",
		"hv0",
		"hb0",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level06 = {
	{"name", "memory", "xylophone", "zebra", "magic",
		"majestic", "quiz", "mom", "make", "calm",
		"plan", "promise", "manners", "nomad", "monkey",
		"mind", "mess", "computer", "typing", "mime",
		"miniature", "maximum", "banana", "animated", "more",
		"momentum", "nominal", "quantum", "apex", "index",
		"revolution", "never", "nerve", "maze", "amazing",
		"moral", "minute", "thumb", "volume", "magazine",
		"multiplex", "transmission", "transmit", "framing", "galant"},
	45,
	"Lesson 6: Bottom Row Right",
	{
		//  the line ends here ----------------->|
		"t0216This is it! After this you'll know",
		"t0217all the letters.",
		"w",
		"hn1",
		"hm1",
		"t0218The last two you have to learn are",
		"t0219\"n\" and \"m\".",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"hz1",
		"hx1",
		"hq1",
		"t0216Since you're only learning two this",
		"t0217time, let's also practice some",
		"t0218less common letters you've already",
		"t0219learned.",
		"w",
		"hn0",
		"hm0",
		"hz0",
		"hx0",
		"hq0",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level07 = {
	{"New York", "Los Angeles", "London", "RSVP", "USA",
		"Tokyo", "Melbourne", "San Francisco", "Chicago", "Dublin",
		"Rebecca", "Justin", "Oscar", "Simon", "Annie",
		"Emily", "Aeshna", "Navya", "UK", "EU",
		"NASA", "Texas", "FIFA", "IMSA", "Times Square",
		"Ada Lovelace", "Abraham Lincoln", "Margaret Hamilton", "Spider-Man", "LEGO",
		"Madrid", "Lisbon", "Venice", "Milan", "Casablanca",
		"Cairo", "Oslo", "Frankfurt", "Florence", "Munich"},
	40,
	"Lesson 7: Shift and Caps Lock",
	{
		//  the line ends here ----------------->|
		"t0216You should be able to type any word",
		"t0217now, but what if you want to type",
		"t0218a name?",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"h\a1",
		"h\v1",
		"t0216If you hold the SHIFT key down",
		"t0217when you type another letter,",
		"t0218you'll get a capital letter.",
		"w",
		"h\v0",
		"hj1",
		"c021640",
		"c021740",
		"c021840",
		"t0216Use the left SHIFT key for letters",
		"t0217you type with your right hand.",
		"w",
		"h\v1",
		"hf1",
		"h\a0",
		"hj0",
		"t0218Use the right SHIFT key for",
		"t0219letters you type with your left.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"h\v0",
		"hf0",
		"h\f1",
		"t0216If you press CAPS LOCK, all letters",
		"t0217will be capitalized until you",
		"t0218press CAPS LOCK again.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"h\f0",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level08 = {
	{"1", "2", "3", "4", "5", 
		"6", "7", "8", "9", "0",
		"100%", "@", "#1", "$10", "wow!",
		"^", "this & that", "*", "(quiet)", "(whisper)",
		"$149.99", "1,000,000", "1/25", "525,600", "3.14159"},
	25,
	"Lesson 8: Numbers & Punctuation",
	{
		//  the line ends here ----------------->|
		"t0216Now that you have all the letters",
		"t0217and you know how to shift, it's",
		"t0218time to learn your numbers.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"h11",
		"h21",
		"h31",
		"h41",
		"h51",
		"t0216With your left hand you can reach",
		"t0217the numbers 1, 2, 3, 4, and 5.",
		"w",
		"h\a1",
		"h\v1",
		"t0218Press SHIFT to make the characters",
		"t0219!, @, #, $, and %.",
		"w",
		"h\a0",
		"h\v0",
		"h10",
		"h20",
		"h30",
		"h40",
		"h50",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"h61",
		"h71",
		"h81",
		"h91",
		"h01",
		"t0216With your right hand you can reach",
		"t0217the numbers 6, 7, 8, 9, and 0.",
		"w",
		"h\a1",
		"h\v1",
		"t0218Press SHIFT to make the characters",
		"t0219^, &, *, (, and ).",
		"w",
		"h\a0",
		"h\v0",
		"h60",
		"h70",
		"h80",
		"h90",
		"h00",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"t0216This is a tricky set, so take your",
		"t0217time. Practice this lesson over",
		"t0218and over again if you need to.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};

LevelDataStruct Data_Level09 = {
	{
		// -- ---- ---- ---- ---- ---- ---- -"    sentence max length
		"Be the best you you can be.",
		"Look! Up in the sky! It's a bird!",
		"Zebras drink at the watering hole.",
		"It's okay; we can try again later.",
		"\"How dare you?!\" she exclaimed.",
		"You're going to do well, I think.",
		"To infinity, and beyond!",
		"Be excellent to each other.",
		"Practice, practice, practice.",
		"How do you get to Carnegie Hall?",
		"Why'd the chicken cross the road?",
		"To get to the other side!",
		"Typing: the thing you're doing.",
		"It's chaos. Be kind.",
		"Keep calm and carry on.",
		"I came, I saw, I conquered.",
		"Ladies and gentlemen ...",
		"I had fun once. It was awful.",
		"I think, therefore I am.",
		"Everything right is wrong again.",
		"No mistakes, only happy accidents.",
		"It's going to be a glorious day.",
		"Live long, and prosper.",
		"Fear is the mind killer.",
		"I, man, am regal. A German am I",
		"A dog, a panic, in a pagoda."
	},
	26,
	"Lesson 9: Sentence Punctuation",
	{
		"t0216In this lesson we'll tackle some",
		"t0217punctuation used in sentences.",
		"w",
		"h,1",
		"h.1",
		"h'1",
		"c021640",
		"c021740",
		"t0216You'll have to use the comma, period,",
		"t0217and apostrophe.",
		"w",
		"h.0",
		"h,0",
		"h;1",
		"h/1",
		"h\a1",
		"h\v1",
		"c021640",
		"c021740",
		"t0216Use shift for quotes, colons",
		"t0217and question marks.",
		"w",
		"h'0",
		"h/0",
		"h;0",
		"h11",
		"c021640",
		"c021740",
		"t0216Also, exlamation points!",
		"w",
		"h10",
		"h\a0",
		"h\v0",
		"c021640",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};


LevelDataStruct Data_Level10 = {
	{"1+1=2", "2-1=1", "10>3", "14+2=16","17+3=20",
		"[square brackets]", "array[index]", "userList[5]", "values[7]", "[20+5]",
		"doStuff(a, b);","for (x=0; x<10; x++) { runMe(); }", "{y=5+5;}", "var temp={a: 20, b: \"name\"};", "if ((x+5)>(y-2))",
		"float pi=3.14159f;", "person->firstName", "int bytes = fwrite(&data, sizeof(data), 1, fp);", "while (node) {node = node->next;}", "String name=\"Rebecca\";",
		"https://archive.org", "/images/filename.jpg", "while (true) {}", "console.log(\"Hello World\");", "printf(\"Hello World!\\n\");",
		"https://nps.gov", "https://en.wikipedia.org", "<a href=\"https://nps.gov\">NPS</a>", "<strong>Strong Text</strong>", "<em>Emphasis</em>",
		"cout << \"hello world\" << endl;", "SELECT * FROM users;", "flags = FLAG_ONE | FLAG_TWO;"
	},
	33,
	"Lesson 10: Code Punctuation",
	{
		//  the line ends here ----------------->|
		"t0216The remaining punctuation on the",
		"t0217keyboard is mostly used for math",
		"t0218and computer programming.",
		"w",
		"c021640",
		"c021740",
		"c021840",
		"h,1",
		"h.1",
		"t0216You already know these keys ...",
		"w",
		"h\v1",
		"h\a1",
		"t0217but with the SHIFT key they make",
		"t0218the Less Than and Greater Than",
		"t0219symbols.",
		"w",
		"h\v0",
		"h\a0",
		"h,0",
		"h.0",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"h/1",
		"t0216The / key is used a lot for",
		"t0217website addresses.",
		"w",
		"h;1",
		"t0218The ; key is used a lot in",
		"t0219computer programming.",
		"w",
		"h;0",
		"h/0",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"h[1",
		"h]1",
		"t0216The square brackets [] are used",
		"t0217in programming ...",
		"w",
		"h\a1",
		"h\v1",
		"t0218With SHIFT these keys make curly",
		"t0219braces {}.",
		"w",
		"h\a0",
		"h\v0",
		"h[0",
		"h]0",
		"c021640",
		"c021740",
		"c021840",
		"c021940",
		"h-1",
		"h=1",
		"t0216For basic math you'll need minus",
		"t0217and the equal sign.",
		"w",
		"h-0",
		"h\a1",
		"h\v1",
		"t0218With SHIFT, = becomes +.",
		"w",
		"h=0",
		"h\a0",
		"h\v0",
		"c021640",
		"c021740",
		"c021840",
		"t0216When you're ready,",
		"t0217press any key to start ...",
		"w",
		"c021640",
		"c021740",
		"p060",
		"e"
	}
};